Skip to main content
GET
/
v5
/
bills
/
bill
Get a bill
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/bills/bill \
  --header 'Authorization: Bearer <token>'
{
  "categoryId": 123,
  "id": 123,
  "status": "DRAFT",
  "amount": 123,
  "date": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "vendorId": 123,
  "name": "<string>",
  "billNo": 123,
  "apiName": "PARTNER_IMPLEMENTATION",
  "apiInstitutionName": "<string>",
  "apiBillId": "<string>",
  "v6Id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific bill

Response

200 - application/json

Successful operation

categoryId
integer<int64>

Id of the category associated with this bill

id
integer<int64>

Id of the bill, required when updating an existing bill

status
enum<string>

Status of the bill

Available options:
DRAFT,
OPEN,
PAID,
CANCELLED,
DRAFT,
OPEN,
PAID,
CANCELLED
amount
number

The amount of the bill

date
string<date-time>

Date of the bill

dueDate
string<date-time>

Due date of the bill

vendorId
integer<int64>

Id of the vendor associated with this bill

name
string

Name of the bill

billNo
integer<int32>

Number of the bill

apiName
enum<string>

Name of the API from which this bill originated

Available options:
PARTNER_IMPLEMENTATION,
MELIO,
USER_ENTRY
apiInstitutionName
string

Name of the institution from which the bill originated

apiBillId
string

Id of the bill on associated API

v6Id
string

Id of the v6 bill entity